/*
    SDP Editor
    Copyright 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __CHANNELCHANGER_H
#define __CHANNELCHANGER_H

#include <e32base.h>
#include <es_sock.h>
#include <btsdp.h>
#include <bt_sock.h>

class CServiceSearcher;

class CChannelChanger : public CActive {
public:
	enum TState { ENotStarted, EFindingChannel, EFindingHandle };

	static CChannelChanger* NewL();
	static CChannelChanger* NewLC();
	~CChannelChanger();

	void UpdateChannelL();

	void RunL();
	void DoCancel();

	static void ShowWarningL(const TDesC& aStr);
	static void ShowWarningL(TInt aError);
	static void ShowInfoL(const TDesC& aStr);

	static void UpdateRecordL(TInt aHandle, TInt aChannel);
	static void UpdateRecordAndReportL(TInt aHandle, TInt aChannel);
private:

	CChannelChanger();
	void ConstructL();

private:
	TState iState;
	CServiceSearcher* iServiceSearcher;
	TBTDevAddr iAddr;
	TInt iChannel;
	TSdpServRecordHandle iHandle;

	TUUID iPCSuite;
	TUUID iObexFTP;
};

#endif
