/*
    SDP Editor
    Copyright 2006 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __SDPEDITDOCUMENT_H
#define __SDPEDITDOCUMENT_H


#include <akndoc.h>

class CSdpEditAppUi;
class CEikApplication;


class CSdpEditDocument : public CAknDocument {
public:

	static CSdpEditDocument* NewL(CEikApplication& aApp);
	static CSdpEditDocument* NewLC(CEikApplication& aApp);

	~CSdpEditDocument();

	CFileStore* OpenFileL(TBool aDoOpen, const TDesC& aFilename, RFs& aFs);
	void StoreL(CStreamStore& aStore, CStreamDictionary& aStreamDic) const;
	void RestoreL(const CStreamStore& aStore, const CStreamDictionary& aStreamDic);

public:
	CEikAppUi* CreateAppUiL();

private:

	void ConstructL();
	CSdpEditDocument(CEikApplication& aApp);

};

#endif
